<CsoundSynthesizer>

<CsOptions>

</CsOptions>

<CsScore>

</CsScore>

<CsInstrumentToPlay>
20 1.5 20 50 ; Reverb volume as percentage of total sound - reverb delay time in seconds - reverb diffussion in percent - Channel mixing percent
</CsInstrumentToPlay>

<CsInstruments>

instr 99
  iamp = p4/100
   idelay = p5                                          ; reverb delay time in seconds
  idiffusion = p6/100                                              ; diffusion can be 0-1 for "reverb2"
 imix=p7/100

 amixval=imix*(gastereo1+gastereo2)/2 ; imix is the amount of signal to be reverberated in the same way in each channel mono style
 a1= (1-imix)*gastereo1 ; 1-imix is the amount of the signal to be reverberated independently in each channel
 a2= (1-imix)*gastereo2
 

  arev  nreverb iamp*amixval, idelay, idiffusion ; 
  arev1   nreverb iamp*a1, idelay, idiffusion ; 
  arev2   nreverb iamp*a2, idelay, idiffusion ; 
  outs arev+arev1, arev+arev2 ; the shared signal is played in both channels at once, and the separate signal in each independently.
endin
</CsInstruments>

</CsoundSynthesizer>
