<CsoundSynthesizer>

<CsOptions>
-W -o Cook_Pluck2.wav 
</CsOptions>

<CsScore>

</CsScore>

<CsInstrumentToPlay>

AMP  CPS 20 75 20 ; pluck point on string, pickup point, amount of reflection - all as percentages range 0 to 100, pluck shouldn't be 0, reflection shouldn't be 0 or 100
</CsInstrumentToPlay>

<CsPitchBendGlides>
Requires instruction rate cps so can't convert to pitch glides
</CsPitchBendGlides>

<CsInstruments>

instr 1
  iplk = p6/100; The point of pluck is iplk, which is a fraction of the way up the string (0 to 1). A pluck point of zero means no initial pluck
  kamp = p4
 
  icps = p5

  kpick = p7/100 ; Proportion of the way along the string to sample the output
  krefl = p8/100 ; the coefficient of reflection, indicating the lossiness and the rate of decay. It must be strictly between 0 and 1 (it will complain about both 0 and 1). 

  apluck wgpluck2 iplk, kamp, icps, kpick, krefl

  out apluck
endin

</CsInstruments>

</CsoundSynthesizer>
